Repository: ambari
Updated Branches:
  refs/heads/branch-2.5 b2c56544f -> 556d0cc86


AMBARI-18119. Fix typographical error in hive-mysql dependency (aonishuk)


Project: http://git-wip-us.apache.org/repos/asf/ambari/repo
Commit: http://git-wip-us.apache.org/repos/asf/ambari/commit/556d0cc8
Tree: http://git-wip-us.apache.org/repos/asf/ambari/tree/556d0cc8
Diff: http://git-wip-us.apache.org/repos/asf/ambari/diff/556d0cc8

Branch: refs/heads/branch-2.5
Commit: 556d0cc864664789fbe74c3021fba6266c90d954
Parents: b2c5654
Author: Andrew Onishuk <aonis...@hortonworks.com>
Authored: Thu Sep 22 17:08:06 2016 +0300
Committer: Andrew Onishuk <aonis...@hortonworks.com>
Committed: Thu Sep 22 17:08:06 2016 +0300

----------------------------------------------------------------------
 .../libraries/functions/package_conditions.py                    | 4 ++--
 .../main/resources/common-services/HIVE/0.12.0.2.0/metainfo.xml  | 2 +-
 .../main/resources/common-services/OOZIE/4.2.0.2.3/metainfo.xml  | 2 +-
 .../main/resources/common-services/SQOOP/1.4.4.2.0/metainfo.xml  | 2 +-
 .../src/main/resources/stacks/HDP/2.1/services/HIVE/metainfo.xml | 2 +-
 .../src/main/resources/stacks/HDP/2.2/services/HIVE/metainfo.xml | 2 +-
 .../main/resources/stacks/HDP/2.2/services/OOZIE/metainfo.xml    | 2 +-
 .../main/resources/stacks/HDP/2.2/services/SQOOP/metainfo.xml    | 2 +-
 .../src/main/resources/stacks/HDP/2.3/services/HIVE/metainfo.xml | 2 +-
 .../src/main/resources/stacks/HDP/2.5/services/HIVE/metainfo.xml | 2 +-
 10 files changed, 11 insertions(+), 11 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/ambari/blob/556d0cc8/ambari-common/src/main/python/resource_management/libraries/functions/package_conditions.py
----------------------------------------------------------------------
diff --git 
a/ambari-common/src/main/python/resource_management/libraries/functions/package_conditions.py
 
b/ambari-common/src/main/python/resource_management/libraries/functions/package_conditions.py
index acc4bd8..8257022 100644
--- 
a/ambari-common/src/main/python/resource_management/libraries/functions/package_conditions.py
+++ 
b/ambari-common/src/main/python/resource_management/libraries/functions/package_conditions.py
@@ -20,7 +20,7 @@ Ambari Agent
 
 """
 __all__ = ["is_lzo_enabled", "should_install_phoenix", 
"should_install_ams_collector", "should_install_ams_grafana",
-           "should_install_mysql", "should_install_mysl_connector", 
"should_install_ranger_tagsync"]
+           "should_install_mysql", "should_install_mysql_connector", 
"should_install_ranger_tagsync"]
 
 import os
 from resource_management.libraries.script import Script
@@ -85,7 +85,7 @@ def should_install_mysql():
     return False
   return _has_applicable_local_component(config, "MYSQL_SERVER")
 
-def should_install_mysl_connector():
+def should_install_mysql_connector():
   mysql_jdbc_driver_jar = "/usr/share/java/mysql-connector-java.jar"
   return not os.path.exists(mysql_jdbc_driver_jar)
 

http://git-wip-us.apache.org/repos/asf/ambari/blob/556d0cc8/ambari-server/src/main/resources/common-services/HIVE/0.12.0.2.0/metainfo.xml
----------------------------------------------------------------------
diff --git 
a/ambari-server/src/main/resources/common-services/HIVE/0.12.0.2.0/metainfo.xml 
b/ambari-server/src/main/resources/common-services/HIVE/0.12.0.2.0/metainfo.xml
index ec13352..5d8295a 100644
--- 
a/ambari-server/src/main/resources/common-services/HIVE/0.12.0.2.0/metainfo.xml
+++ 
b/ambari-server/src/main/resources/common-services/HIVE/0.12.0.2.0/metainfo.xml
@@ -271,7 +271,7 @@
             <package>
               <name>mysql-connector-java</name>
               <skipUpgrade>true</skipUpgrade>
-              <condition>should_install_mysl_connector</condition>
+              <condition>should_install_mysql_connector</condition>
             </package>
           </packages>
         </osSpecific>

http://git-wip-us.apache.org/repos/asf/ambari/blob/556d0cc8/ambari-server/src/main/resources/common-services/OOZIE/4.2.0.2.3/metainfo.xml
----------------------------------------------------------------------
diff --git 
a/ambari-server/src/main/resources/common-services/OOZIE/4.2.0.2.3/metainfo.xml 
b/ambari-server/src/main/resources/common-services/OOZIE/4.2.0.2.3/metainfo.xml
index 404ddd6..f9b0f0b 100644
--- 
a/ambari-server/src/main/resources/common-services/OOZIE/4.2.0.2.3/metainfo.xml
+++ 
b/ambari-server/src/main/resources/common-services/OOZIE/4.2.0.2.3/metainfo.xml
@@ -125,7 +125,7 @@
             <package>
               <name>mysql-connector-java</name>
               <skipUpgrade>true</skipUpgrade>
-              <condition>should_install_mysl_connector</condition>
+              <condition>should_install_mysql_connector</condition>
             </package>
             <package>
               <name>extjs</name>

http://git-wip-us.apache.org/repos/asf/ambari/blob/556d0cc8/ambari-server/src/main/resources/common-services/SQOOP/1.4.4.2.0/metainfo.xml
----------------------------------------------------------------------
diff --git 
a/ambari-server/src/main/resources/common-services/SQOOP/1.4.4.2.0/metainfo.xml 
b/ambari-server/src/main/resources/common-services/SQOOP/1.4.4.2.0/metainfo.xml
index 117074c..a7ec1ec 100644
--- 
a/ambari-server/src/main/resources/common-services/SQOOP/1.4.4.2.0/metainfo.xml
+++ 
b/ambari-server/src/main/resources/common-services/SQOOP/1.4.4.2.0/metainfo.xml
@@ -77,7 +77,7 @@
             <package>
               <name>mysql-connector-java</name>
               <skipUpgrade>true</skipUpgrade>
-              <condition>should_install_mysl_connector</condition>
+              <condition>should_install_mysql_connector</condition>
             </package>
           </packages>
         </osSpecific>

http://git-wip-us.apache.org/repos/asf/ambari/blob/556d0cc8/ambari-server/src/main/resources/stacks/HDP/2.1/services/HIVE/metainfo.xml
----------------------------------------------------------------------
diff --git 
a/ambari-server/src/main/resources/stacks/HDP/2.1/services/HIVE/metainfo.xml 
b/ambari-server/src/main/resources/stacks/HDP/2.1/services/HIVE/metainfo.xml
index bf528e8..28dfb37 100644
--- a/ambari-server/src/main/resources/stacks/HDP/2.1/services/HIVE/metainfo.xml
+++ b/ambari-server/src/main/resources/stacks/HDP/2.1/services/HIVE/metainfo.xml
@@ -58,7 +58,7 @@
             <package>
               <name>mysql-connector-java</name>
               <skipUpgrade>true</skipUpgrade>
-              <condition>should_install_mysl_connector</condition>
+              <condition>should_install_mysql_connector</condition>
             </package>
           </packages>
         </osSpecific>

http://git-wip-us.apache.org/repos/asf/ambari/blob/556d0cc8/ambari-server/src/main/resources/stacks/HDP/2.2/services/HIVE/metainfo.xml
----------------------------------------------------------------------
diff --git 
a/ambari-server/src/main/resources/stacks/HDP/2.2/services/HIVE/metainfo.xml 
b/ambari-server/src/main/resources/stacks/HDP/2.2/services/HIVE/metainfo.xml
index ab307ce..372ea51 100644
--- a/ambari-server/src/main/resources/stacks/HDP/2.2/services/HIVE/metainfo.xml
+++ b/ambari-server/src/main/resources/stacks/HDP/2.2/services/HIVE/metainfo.xml
@@ -63,7 +63,7 @@
             <package>
               <name>mysql-connector-java</name>
               <skipUpgrade>true</skipUpgrade>
-              <condition>should_install_mysl_connector</condition>
+              <condition>should_install_mysql_connector</condition>
             </package>
           </packages>
         </osSpecific>

http://git-wip-us.apache.org/repos/asf/ambari/blob/556d0cc8/ambari-server/src/main/resources/stacks/HDP/2.2/services/OOZIE/metainfo.xml
----------------------------------------------------------------------
diff --git 
a/ambari-server/src/main/resources/stacks/HDP/2.2/services/OOZIE/metainfo.xml 
b/ambari-server/src/main/resources/stacks/HDP/2.2/services/OOZIE/metainfo.xml
index 1035627..8de041a 100644
--- 
a/ambari-server/src/main/resources/stacks/HDP/2.2/services/OOZIE/metainfo.xml
+++ 
b/ambari-server/src/main/resources/stacks/HDP/2.2/services/OOZIE/metainfo.xml
@@ -67,7 +67,7 @@
             <package>
               <name>mysql-connector-java</name>
               <skipUpgrade>true</skipUpgrade>
-              <condition>should_install_mysl_connector</condition>
+              <condition>should_install_mysql_connector</condition>
             </package>
             <package>
               <name>extjs</name>

http://git-wip-us.apache.org/repos/asf/ambari/blob/556d0cc8/ambari-server/src/main/resources/stacks/HDP/2.2/services/SQOOP/metainfo.xml
----------------------------------------------------------------------
diff --git 
a/ambari-server/src/main/resources/stacks/HDP/2.2/services/SQOOP/metainfo.xml 
b/ambari-server/src/main/resources/stacks/HDP/2.2/services/SQOOP/metainfo.xml
index adfc804..884019c 100644
--- 
a/ambari-server/src/main/resources/stacks/HDP/2.2/services/SQOOP/metainfo.xml
+++ 
b/ambari-server/src/main/resources/stacks/HDP/2.2/services/SQOOP/metainfo.xml
@@ -28,7 +28,7 @@
             <package>
               <name>mysql-connector-java</name>
               <skipUpgrade>true</skipUpgrade>
-              <condition>should_install_mysl_connector</condition>
+              <condition>should_install_mysql_connector</condition>
             </package>
           </packages>
         </osSpecific>

http://git-wip-us.apache.org/repos/asf/ambari/blob/556d0cc8/ambari-server/src/main/resources/stacks/HDP/2.3/services/HIVE/metainfo.xml
----------------------------------------------------------------------
diff --git 
a/ambari-server/src/main/resources/stacks/HDP/2.3/services/HIVE/metainfo.xml 
b/ambari-server/src/main/resources/stacks/HDP/2.3/services/HIVE/metainfo.xml
index 448f680..accbedd 100644
--- a/ambari-server/src/main/resources/stacks/HDP/2.3/services/HIVE/metainfo.xml
+++ b/ambari-server/src/main/resources/stacks/HDP/2.3/services/HIVE/metainfo.xml
@@ -29,7 +29,7 @@
             <package>
               <name>mysql-connector-java</name>
               <skipUpgrade>true</skipUpgrade>
-              <condition>should_install_mysl_connector</condition>
+              <condition>should_install_mysql_connector</condition>
             </package>
           </packages>
         </osSpecific>

http://git-wip-us.apache.org/repos/asf/ambari/blob/556d0cc8/ambari-server/src/main/resources/stacks/HDP/2.5/services/HIVE/metainfo.xml
----------------------------------------------------------------------
diff --git 
a/ambari-server/src/main/resources/stacks/HDP/2.5/services/HIVE/metainfo.xml 
b/ambari-server/src/main/resources/stacks/HDP/2.5/services/HIVE/metainfo.xml
index a37efab..a409465 100644
--- a/ambari-server/src/main/resources/stacks/HDP/2.5/services/HIVE/metainfo.xml
+++ b/ambari-server/src/main/resources/stacks/HDP/2.5/services/HIVE/metainfo.xml
@@ -143,7 +143,7 @@
             <package>
               <name>mysql-connector-java</name>
               <skipUpgrade>true</skipUpgrade>
-              <condition>should_install_mysl_connector</condition>
+              <condition>should_install_mysql_connector</condition>
             </package>
           </packages>
         </osSpecific>

Reply via email to